# Gtk::GammaCurve Class Reference
Widgets

A subclass of Gtk::Curve for editing gamma curves. More...

Inheritance diagram for Gtk::GammaCurve:
[legend]
Collaboration diagram for Gtk::GammaCurve:
[legend]

List of all members.

## Public Member Functions

virtual | ~GammaCurve ()
GtkGammaCurve* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkGammaCurve* | gobj () const
| Provides access to the underlying C GtkObject.
| GammaCurve ()

## Related Functions

(Note that these are not member functions.)
Gtk::GammaCurve* | wrap (GtkGammaCurve* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A subclass of Gtk::Curve for editing gamma curves.

## Constructor & Destructor Documentation

virtual Gtk::GammaCurve::~GammaCurve | ( |  | ) | `[virtual]`

Gtk::GammaCurve::GammaCurve | ( |  | ) |

## Member Function Documentation

GtkGammaCurve* Gtk::GammaCurve::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

const GtkGammaCurve* Gtk::GammaCurve::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

## Friends And Related Function Documentation

Gtk::GammaCurve* wrap | ( | GtkGammaCurve * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/curve.h